Subject: Re: confusion over the new branch and merge config

From: Jakub Narebski <[email-masked]>
Date: Fri, 22 Dec 2006 22:04:57 +0100

<opublikowany i wysłany>

Nicolas Pitre wrote:
> On Thu, 21 Dec 2006, Junio C Hamano wrote:

>> No, the message says "any REMOTE branch" -- refs/heads/next is
>> what it is called at the remote, and that is how the value is
>> expected to be spelled; I think somebody added an example to
>> config.txt recently to stress this.  The above error messasge
>> obviously was not clear enough.  Rewording appreciated.
> 
> But wouldn't it be much less confusing if it used the local name for 
> that remote branch instead?  After all it is what should be used with 
> git-merge if performed manually, it is what diff, log, and al must use 
> as well.  Why would this need a remote name for something that is a 
> local operation after all?  I think "refs/heads/master" is really 
> ambigous since you might be confused between the local and remote 
> meaning of it, whereas "origin/master" carries no confusion at all.

Perhaps less confusing, but also less powerfull. Current notation
allows for pulling _without need for tracking branches_.

Although I wonder if it is possible to have multiple branch.<name>.remote,
and branch.<name>.merge always refering to latest remote (octopus if there
are more than one branch.<name>.merge for remote)...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git